/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPCOD.C
 *
 * Regelprogramma vri: Voorbeeldregeling detectiebewaking
 *
 * datum:              23 maart 1999
 * gewijzigd dd.:      12 maart 2003
 *                     - det_bew_ma aangepast
 *                     - extra functie verl_bij_DetBew toegevoegd
 *                     - omzetting naar FLASH
 *                     18 april 2005
 *                      - aanpassing aan RWS-C versie 8.15
 * versie:             7.1
 */


#include "crtypes.h"
#include "crapcod.h"
#include "craptab.h"
#include "ccie_int.h"
#include "crapdef.h"
#include "Detbew.inc"



/* ==================================================
 *
 *   Overige voorwaarden
 *
 * ==================================================
 */

void init_bij_inschakelen (void)
{
}

void voorwaarden_per_seconde (void)
{
det_bew_ma(SG02, VERL, SG02_1, SG02_2, SG02_3, END);
det_bew_ma(SG05, VERL, SG05_1, SG05_2, END);
det_bew_ma(SG08, NVRL, SG08_1, SG08_2, SG08_3, END);
det_bew_ma(SG11, VERL, SG11_1, SG11_2, END);
det_bew_ma(SG28, NVRL, SG28_1, SG28_2, END);

det_bew_ma_koplus(SG02_1, SG02);
det_bew_ma_koplus(SG05_1, SG05);
det_bew_ma_koplus(SG08_1, SG08);
det_bew_ma_koplus(SG11_1, SG11);

overn_vag1_eh1 (SG02_1, SG02_2, SG02);
overn_vag1_eh1 (SG05_1, SG05_2, SG05);
overn_vag1_eh1 (SG08_1, SG08_2, SG08);
overn_vag1_eh1 (SG11_1, SG11_2, SG11);

overn_vag2_eh2 (SG08_2, SG08_3, SG08);

overn_verweg2_eh2 (SG02_4, SG02_5, SG02);

det_bew_rga2 (SG28_1, SG28_2);

det_bew_rga3 (SG02_2, SG02_3);
}

void overige_voorwaarden (void)
{
verl_bij_DetBew();
}  /* einde functie overige_voorwaarden  */

