/*
 * Copyright(c)  2002  Rijkswaterstaat
 *                     Adviesdienst Verkeer en Vervoer
 *                     WSRA
 * File:               CRAPDEF.H
 *
 * Regelprogramma vri: Voorbeeldregeling detectiebewaking
 *
 * datum:              23 maart 1999
 * gewijzigd dd.:      12 maart 2003
 *                     - det_bew_ma aangepast
 *                     - extra functie verl_bij_DetBew toegevoegd
 *                     - omzetting naar FLASH
 *                     18 april 2005
 *                      - aanpassing aan RWS-C versie 8.15
 * versie:             7.1
 */

/* declaratie arraynummers voor blokken */

#define BK1    0
#define BK2    1
#define BK3    2
#define NUMBK  3

/* declaratie arraynummers voor signaalgroepen */

#define SG02   0
#define SG05   1
#define SG08   2
#define SG11   3
#define SG28   4
#define NUMSG  5

/* declaratie arraynummers voor detectoren */

#define SG02_1                    0
#define SG02_2                    1
#define SG02_3                    2
#define SG02_4                    3
#define SG02_5                    4
#define SG05_1                    5
#define SG05_2                    6
#define SG08_1                    7
#define SG08_2                    8
#define SG08_3                    9
#define SG11_1                   10
#define SG11_2                   11
#define SG28_1                   12
#define SG28_2                   13
#define SG28_3                   14
#define NUMD                     15

/* declaratie arraynummers voor tijden */
#define rga2                      0 /* t.b.v. rga SG02 */
#define rga28                     1 /* t.b.v. rga SG28 */
#define NUMT                      2

#define NUMKL                     0

#define NUMSCH                    0

#define NUMTL                     0

#define NUMEGGP                   0

#define NUMEP                     0

/* declaratie NUMOV               */
#define NUMOV                    15


